
module Heretic_1_2

NAME="v1.2"
SUFFIX="1_2"

NUM_STATES=1206
NUM_MOBJS=160

STATE_OFFSET=0x8e8b4
MOBJINFO_OFFSET=617600
STRINGS_OFFSET=563284

# Locations of action pointer functions for Heretic 1.2.  Hand-constructed.

ACTION_POINTERS = {
    81008 => "A_FreeTargMobj",
    84544 => "A_RestoreSpecialThing1",
    84592 => "A_RestoreSpecialThing2",
    81232 => "A_HideThing",
    81248 => "A_UnHideThing",
    84464 => "A_RestoreArtifact",
    78576 => "A_Scream",
    79248 => "A_Explode",
    79360 => "A_PodPain",
    79520 => "A_RemovePod",
    79568 => "A_MakePod",
    80192 => "A_InitKeyGizmo",
    80288 => "A_VolcanoSet",
    80320 => "A_VolcanoBlast",
    72992 => "A_BeastPuff",
    80544 => "A_VolcBallImpact",
    79984 => "A_SpawnTeleGlitter",
    80064 => "A_SpawnTeleGlitter2",
    80144 => "A_AccTeleGlitter",
    119824 => "A_Light0",
    113488 => "A_WeaponReady",
    114080 => "A_Lower",
    114240 => "A_Raise",
    114848 => "A_StaffAttackPL1",
    114016 => "A_ReFire",
    114992 => "A_StaffAttackPL2",
    113888 => "A_BeakReady",
    114176 => "A_BeakRaise",
    114480 => "A_BeakAttackPL1",
    114656 => "A_BeakAttackPL2",
    119344 => "A_GauntletAttack",
    115136 => "A_FireBlasterPL1",
    115280 => "A_FireBlasterPL2",
    117280 => "A_SpawnRippers",
    115968 => "A_FireMacePL1",
    116816 => "A_FireMacePL2",
    116112 => "A_MacePL1Check",
    116224 => "A_MaceBallImpact",
    116384 => "A_MaceBallImpact2",
    116944 => "A_DeathBallImpact",
    117760 => "A_FireSkullRodPL1",
    117840 => "A_FireSkullRodPL2",
    117968 => "A_SkullRodPL2Seek",
    118000 => "A_AddPlayerRain",
    118512 => "A_HideInCeiling",
    118176 => "A_SkullRodStorm",
    118448 => "A_RainImpact",
    115360 => "A_FireGoldWandPL1",
    115504 => "A_FireGoldWandPL2",
    118544 => "A_FirePhoenixPL1",
    118880 => "A_InitPhoenixPL2",
    118896 => "A_FirePhoenixPL2",
    119264 => "A_ShutdownPhoenixPL2",
    118656 => "A_PhoenixPuff",
    #0000 => "A_RemovedPhoenixFunc",    # anomaly!
    119280 => "A_FlameEnd",
    119312 => "A_FloatPuff",
    117424 => "A_FireCrossbowPL1",
    117504 => "A_FireCrossbowPL2",
    117648 => "A_BoltSpark",
    72496 => "A_Pain",
    78832 => "A_NoBlocking",
    81104 => "A_AddPlayerCorpse",
    80752 => "A_SkullPop",
    81200 => "A_FlameSnd",
    80976 => "A_CheckBurnGone",
    80912 => "A_CheckSkullFloor",
    80944 => "A_CheckSkullDone",
    74080 => "A_Feathers",
    73968 => "A_ChicLook",
    74000 => "A_ChicChase",
    74032 => "A_ChicPain",
    72400 => "A_FaceTarget",
    73888 => "A_ChicAttack",
    71728 => "A_Look",
    71856 => "A_Chase",
    74288 => "A_MummyAttack",
    74400 => "A_MummyAttack2",
    74528 => "A_MummySoul",
    110816 => "A_ContMobjSound",
    74496 => "A_MummyFX1Seek",
    77120 => "A_BeastAttack",
    78048 => "A_SnakeAttack",
    78128 => "A_SnakeAttack2",
    77232 => "A_HeadAttack",
    79808 => "A_BossDeath",
    77824 => "A_HeadIceImpact",
    77984 => "A_HeadFireGrow",
    77664 => "A_WhirlwindSeek",
    78208 => "A_ClinkAttack",
    78320 => "A_WizAtk1",
    78352 => "A_WizAtk2",
    78384 => "A_WizAtk3",
    78304 => "A_GhostOff",
    73104 => "A_ImpMeAttack",
    73184 => "A_ImpMsAttack",
    73392 => "A_ImpMsAttack2",
    73488 => "A_ImpDeath",
    73536 => "A_ImpXDeath1",
    73584 => "A_ImpXDeath2",
    72816 => "A_ImpExplode",
    72672 => "A_KnightAttack",
    72528 => "A_DripBlood",
    74624 => "A_Sor1Chase",
    74576 => "A_Sor1Pain",
    74672 => "A_Srcr1Attack",
    75936 => "A_SorZap",
    74960 => "A_SorcererRise",
    75968 => "A_SorRise",
    76096 => "A_SorSightSnd",
    75296 => "A_Srcr2Decide",
    75376 => "A_Srcr2Attack",
    75872 => "A_Sor2DthInit",
    76000 => "A_SorDSph",
    75904 => "A_Sor2DthLoop",
    76032 => "A_SorDExp",
    76064 => "A_SorDBon",
    75600 => "A_BlueSpark",
    75712 => "A_GenWizard",
    76128 => "A_MinotaurAtk1",
    76240 => "A_MinotaurDecide",
    76592 => "A_MinotaurAtk2",
    76832 => "A_MinotaurAtk3",
    76512 => "A_MinotaurCharge",
    77008 => "A_MntrFloorFire",
    79936 => "A_ESound",
}

end

